Subject: Re: [PATCH 1/1] coresight: Fix DEBUG_LOCKS_WARN_ON for uninitialized attribute

From: Greg KH <[email-masked]>
Date: Thu, 1 Aug 2019 22:26:46 +0200

On Thu, Aug 01, 2019 at 02:20:39PM -0600, Mathieu Poirier wrote:
> On Thu, 1 Aug 2019 at 12:50, Greg KH <[email-masked]> wrote:
> >
> > On Thu, Aug 01, 2019 at 11:23:23AM -0600, Mathieu Poirier wrote:
> > > From: Suzuki K Poulose <[email-masked]>
> > >
> > > While running the linux-next with CONFIG_DEBUG_LOCKS_ALLOC enabled,
> > > I get the following splat.
> > >
> > >  BUG: key ffffcb5636929298 has not been registered!
> > >  ------------[ cut here ]------------
> > >  DEBUG_LOCKS_WARN_ON(1)
> > >  WARNING: CPU: 1 PID: 53 at kernel/locking/lockdep.c:3669 lockdep_init_map+0x164/0x1f0
> > >  CPU: 1 PID: 53 Comm: kworker/1:1 Tainted: G        W         5.2.0-next-20190712-00015-g00ad4634222e-dirty #603
> > >  Workqueue: events amba_deferred_retry_func
> > >  pstate: 60c00005 (nZCv daif +PAN +UAO)
> > >  pc : lockdep_init_map+0x164/0x1f0
> > >  lr : lockdep_init_map+0x164/0x1f0
> > >
> > >  [ trimmed ]
> > >
> > >  Call trace:
> > >   lockdep_init_map+0x164/0x1f0
> > >   __kernfs_create_file+0x9c/0x158
> > >   sysfs_add_file_mode_ns+0xa8/0x1d0
> > >   sysfs_add_file_to_group+0x88/0xd8
> > >   etm_perf_add_symlink_sink+0xcc/0x138
> > >   coresight_register+0x110/0x280
> > >   tmc_probe+0x160/0x420
> > >
> > >  [ trimmed ]
> > >
> > >  ---[ end trace ab4cc669615ba1b0 ]---
> > >
> > > Fix this by initialising the dynamically allocated attribute properly.
> > >
> > > Cc: Mathieu Poirier <[email-masked]>
> > > Fixes: bb8e370bdc141ddf ("coresight: perf: Add "sinks" group to PMU directory")
> >
> > That should be:
> > Fixes: bb8e370bdc14 ("coresight: perf: Add "sinks" group to PMU directory")
> 
> Apologies - I will catch those from hereon.
> 
> >
> > I can go fix it up...
> 
> Or I can, depending on if you're going to pick the patch as a fix for
> 5.3 or you'll wait for the 5.4 cycle.

It's already queued up for my next round of patches to Linus to be
during the 5.3-rc cycle.

thanks,

greg k-h

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel